NodeVersionInfo
Keywords: net.corda.core.node.services.diagnostics.NodeVersionInfo class
Date: 2023-09-18

net.corda.core.node.services.diagnostics

## Class NodeVersionInfo

- net.corda.core.node.services.diagnostics.NodeVersionInfo

-     public class NodeVersionInfo

  Version info about the node. Note that this data should be used for diagnostics purposes only - it is unsafe to rely on this for functional decisions.

- - ### Constructor Detail

    - #### NodeVersionInfo

          public NodeVersionInfo(@NotNull
                                 java.lang.String releaseVersion,
                                 @NotNull
                                 java.lang.String revision,
                                 int platformVersion,
                                 @NotNull
                                 java.lang.String vendor)

      Version info about the node. Note that this data should be used for diagnostics purposes only - it is unsafe to rely on this for functional decisions.

      Parameters:
        `releaseVersion` - The release version string of the node, e.g. 4.3, 4.4-SNAPSHOT.
        `revision` - The git commit hash this node was built from
        `platformVersion` - The platform version of this node, representing the released API version.
        `vendor` - The vendor of this node

  - ### Method Detail

    - #### getReleaseVersion

          @NotNull
          public java.lang.String getReleaseVersion()

      The release version string of the node,

      e.g. 4.3, 4.4-SNAPSHOT.

    - #### getRevision

          @NotNull
          public java.lang.String getRevision()

      The git commit hash this node was built from

    - #### getPlatformVersion

          public int getPlatformVersion()

      The platform version of this node,

      representing the released API version.

    - #### getVendor

          @NotNull
          public java.lang.String getVendor()

      The vendor of this node

    - #### component1

          @NotNull
          public java.lang.String component1()

      The release version string of the node,

      e.g. 4.3, 4.4-SNAPSHOT.

    - #### component2

          @NotNull
          public java.lang.String component2()

      The git commit hash this node was built from

    - #### component3

          public int component3()

      The platform version of this node,

      representing the released API version.

    - #### component4

          @NotNull
          public java.lang.String component4()

      The vendor of this node

    - #### copy

          @NotNull
          public NodeVersionInfo copy(@NotNull
                                               java.lang.String releaseVersion,
                                               @NotNull
                                               java.lang.String revision,
                                               int platformVersion,
                                               @NotNull
                                               java.lang.String vendor)

      Version info about the node. Note that this data should be used for diagnostics purposes only - it is unsafe to rely on this for functional decisions.

      Parameters:
        `releaseVersion` - The release version string of the node, e.g. 4.3, 4.4-SNAPSHOT.
        `revision` - The git commit hash this node was built from
        `platformVersion` - The platform version of this node, representing the released API version.
        `vendor` - The vendor of this node

    - #### toString

          @NotNull
          public java.lang.String toString()

      Version info about the node. Note that this data should be used for diagnostics purposes only - it is unsafe to rely on this for functional decisions.

    - #### hashCode

          public int hashCode()

      Version info about the node. Note that this data should be used for diagnostics purposes only - it is unsafe to rely on this for functional decisions.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Version info about the node. Note that this data should be used for diagnostics purposes only - it is unsafe to rely on this for functional decisions.